<?php

namespace Schaffen\Gef\Criterias;

use App\Models\Produto\Produto;
use Prettus\Repository\Contracts\RepositoryInterface;
use Prettus\Repository\Contracts\CriteriaInterface;
use Carbon\Carbon;
use Schaffen\Gef\Models\CategoriaGasto;


class ProdutosProdutoCriteria implements CriteriaInterface
{

   public function apply($model, RepositoryInterface $repository)
   {
      $model = $model->whereHas('produto', function ($query){
         return $query->where('pro_servico', Produto::PRODUTO);
      });
      return $model;
   }
}